<?php
/*
File Name :                 Class License themefour
Description :               For Persian WordPress
Version :                   9.0 - 2024
URI :                       themefour.com
*/


/* Start Check Function */
if( !function_exists('themefour_get_dash_wp') && get_locale()=='fa_IR' && is_admin() ) {
function themefour_get_dash_wp() {

	wp_add_dashboard_widget('widget_themefour_', 'پیشخوان تم فور', 'themefour_get_dash_data');
}
add_action('wp_dashboard_setup', 'themefour_get_dash_wp');

function themefour_get_dash_data() {
	
		/* Display the container */
		echo '<style>a.button.button-primary.themefour-telegram{background:#0fb2ff;border-color:#009feb;border-radius:5px;padding:4px;border-bottom:4px solid #009feb;}a.button.button-primary.themefour-youtube{background: #E84343;border-color:#db3131;border-radius: 5px;padding: 4px;border-bottom: 4px solid #db3131;}a.button.button-primary.themefour-links{background:#fea000;border-color:#db8a01;border-radius:5px;padding: 4px;border-bottom: 4px solid #db8a01;}a.button.button-primary.themefour-links:hover,a.button.button-primary.themefour-youtube:hover,a.button.button-primary.themefour-telegram:hover{padding:7px;}</style>';
		echo '<div class="themefour-dashboard-widget">';
		echo '<p style="color:green;font-weight:700;" >از اینکه themefour.com را انتخاب کردید، بسیار متشکریم.</p>';
		
		echo '<hr>';
		/* Starts items listing within <ul> tag */
		echo '<ul>';
		echo '<h2>چرا از تم فور خرید کنم؟</h2>';
		echo '<li>آپدیت محصول از پیشخوان وردپرس بدون نصب پلاگین جانبی</li>';
		echo '<li>به‌روز رسانی از پیشخوان وردپرس با یک کلیک</li>';
		echo '<li>عدم نیاز به ثبت کد لایسنس برای محصول</li>';
		echo '<li>ثبت تیکت درخواست راهنمایی رایگان</li>';
		echo '<li>پشتیبانی لحظه‌ای مشتریان</li>';
		echo '</ul>';
		echo '<hr>';
		echo '<h2>لینک‌های مفید</h2>';
		echo '<a href="https://themefour.com/product/wp-abzarshop/" class="button button-primary themefour-links" title="افزونه ابزار شاپ" target="_blank" style="margin:5px;">افزونه ابزار شاپ</a>';
		echo '<a href="https://themefour.com/product-category/wp-plugin/" class="button button-primary themefour-links" title="خرید افزونه وردپرس" target="_blank" style="margin:4px;">خرید افزونه وردپرس</a>';
		echo '<a href="https://themefour.com/product-category/wp-themes/" class="button button-primary themefour-links" title="خرید قالب وردپرس" target="_blank" style="margin:4px;">خرید قالب وردپرس</a>';
		echo '<h2>شبکه‌های اجتماعی</h2>';
		echo '<a href="https://www.youtube.com/@themefour" class="button button-primary themefour-youtube" title="کانال یوتیوب" target="_blank" style="margin:5px;">کانال یوتیوب</a>';
		echo '<a href="https://t.me/themefour" class="button button-primary themefour-telegram" title="کانال تلگرام" target="_blank" style="margin:4px;">کانال تلگرام</a>';
		echo '<p>صدها ساعت آموزش رایگان وردپرس به صورت ویدیویی در کانال یوتیوب.</p>';
		echo '<p>برای دریافت اطلاع‌رسانی‌های سایت تم فور، کانال تلگرام را دنبال کنید.</p>';


		/* End <div> tag */
		echo '</div>';
	
}


} /* End Check Function */


/* Install Update Server */
if (is_admin() ) {
$themefour_yoast_seo_wc_upgrade = new themefour_yoast_seo_wc_upgrade();
}
class themefour_yoast_seo_wc_upgrade{
function __construct() {
if (!class_exists('Puc_themefour_Factory')) {
	require_once(TF_YWC_UPDATE_PATH . '/plugin-update-checker.php');
}
$getslug = 'get_metadata&slug';$getups = 'ups';$getht = 'https://';$getd = 'com';
$plugin = basename( plugin_dir_path(  dirname( __FILE__ , 2 ) ) );
$server = ''.$getht.'dl.themefour.'.$getd.'/'.$getups.'/?action='.$getslug.'='.''.$plugin;
$UpdateChecker = Puc_themefour_Factory::buildUpdateChecker(
    $server,
   (TF_YWC_FILE_PATH),
    $plugin
);
}
}
/* Install Update Server & Load Licenses */



/* Load Parts */
require_once(TF_YWC_CLASSES. 'class-localization-yoast-wc.php');
require_once(TF_YWC_FUN . 'function-enqueue-yoast-wc.php');
require_once(TF_YWC_FUN . 'function-meta-hooks-yoast-wc.php');